// Code generated by protoc-gen-go. DO NOT EDIT.
// source: api/wgdcoord/spec.proto

package wgdcoord

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type ClientAttachReq struct {
	Enclaveid            string   `protobuf:"bytes,1,opt,name=enclaveid,proto3" json:"enclaveid,omitempty"`
	Publickey            string   `protobuf:"bytes,2,opt,name=publickey,proto3" json:"publickey,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ClientAttachReq) Reset()         { *m = ClientAttachReq{} }
func (m *ClientAttachReq) String() string { return proto.CompactTextString(m) }
func (*ClientAttachReq) ProtoMessage()    {}
func (*ClientAttachReq) Descriptor() ([]byte, []int) {
	return fileDescriptor_8ed85ef5334a6dcb, []int{0}
}

func (m *ClientAttachReq) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ClientAttachReq.Unmarshal(m, b)
}
func (m *ClientAttachReq) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ClientAttachReq.Marshal(b, m, deterministic)
}
func (m *ClientAttachReq) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ClientAttachReq.Merge(m, src)
}
func (m *ClientAttachReq) XXX_Size() int {
	return xxx_messageInfo_ClientAttachReq.Size(m)
}
func (m *ClientAttachReq) XXX_DiscardUnknown() {
	xxx_messageInfo_ClientAttachReq.DiscardUnknown(m)
}

var xxx_messageInfo_ClientAttachReq proto.InternalMessageInfo

func (m *ClientAttachReq) GetEnclaveid() string {
	if m != nil {
		return m.Enclaveid
	}
	return ""
}

func (m *ClientAttachReq) GetPublickey() string {
	if m != nil {
		return m.Publickey
	}
	return ""
}

type ClientAttachResp struct {
	Enclaveid            string   `protobuf:"bytes,1,opt,name=enclaveid,proto3" json:"enclaveid,omitempty"`
	Enclaveaddress       string   `protobuf:"bytes,2,opt,name=enclaveaddress,proto3" json:"enclaveaddress,omitempty"`
	Gatewaykey           string   `protobuf:"bytes,3,opt,name=gatewaykey,proto3" json:"gatewaykey,omitempty"`
	Gatewayep            string   `protobuf:"bytes,4,opt,name=gatewayep,proto3" json:"gatewayep,omitempty"`
	Allowedips           string   `protobuf:"bytes,5,opt,name=allowedips,proto3" json:"allowedips,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ClientAttachResp) Reset()         { *m = ClientAttachResp{} }
func (m *ClientAttachResp) String() string { return proto.CompactTextString(m) }
func (*ClientAttachResp) ProtoMessage()    {}
func (*ClientAttachResp) Descriptor() ([]byte, []int) {
	return fileDescriptor_8ed85ef5334a6dcb, []int{1}
}

func (m *ClientAttachResp) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ClientAttachResp.Unmarshal(m, b)
}
func (m *ClientAttachResp) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ClientAttachResp.Marshal(b, m, deterministic)
}
func (m *ClientAttachResp) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ClientAttachResp.Merge(m, src)
}
func (m *ClientAttachResp) XXX_Size() int {
	return xxx_messageInfo_ClientAttachResp.Size(m)
}
func (m *ClientAttachResp) XXX_DiscardUnknown() {
	xxx_messageInfo_ClientAttachResp.DiscardUnknown(m)
}

var xxx_messageInfo_ClientAttachResp proto.InternalMessageInfo

func (m *ClientAttachResp) GetEnclaveid() string {
	if m != nil {
		return m.Enclaveid
	}
	return ""
}

func (m *ClientAttachResp) GetEnclaveaddress() string {
	if m != nil {
		return m.Enclaveaddress
	}
	return ""
}

func (m *ClientAttachResp) GetGatewaykey() string {
	if m != nil {
		return m.Gatewaykey
	}
	return ""
}

func (m *ClientAttachResp) GetGatewayep() string {
	if m != nil {
		return m.Gatewayep
	}
	return ""
}

func (m *ClientAttachResp) GetAllowedips() string {
	if m != nil {
		return m.Allowedips
	}
	return ""
}

type ClientDetachReq struct {
	Enclaveid            string   `protobuf:"bytes,1,opt,name=enclaveid,proto3" json:"enclaveid,omitempty"`
	Publickey            string   `protobuf:"bytes,2,opt,name=publickey,proto3" json:"publickey,omitempty"`
	Enclaveaddress       string   `protobuf:"bytes,3,opt,name=enclaveaddress,proto3" json:"enclaveaddress,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ClientDetachReq) Reset()         { *m = ClientDetachReq{} }
func (m *ClientDetachReq) String() string { return proto.CompactTextString(m) }
func (*ClientDetachReq) ProtoMessage()    {}
func (*ClientDetachReq) Descriptor() ([]byte, []int) {
	return fileDescriptor_8ed85ef5334a6dcb, []int{2}
}

func (m *ClientDetachReq) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ClientDetachReq.Unmarshal(m, b)
}
func (m *ClientDetachReq) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ClientDetachReq.Marshal(b, m, deterministic)
}
func (m *ClientDetachReq) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ClientDetachReq.Merge(m, src)
}
func (m *ClientDetachReq) XXX_Size() int {
	return xxx_messageInfo_ClientDetachReq.Size(m)
}
func (m *ClientDetachReq) XXX_DiscardUnknown() {
	xxx_messageInfo_ClientDetachReq.DiscardUnknown(m)
}

var xxx_messageInfo_ClientDetachReq proto.InternalMessageInfo

func (m *ClientDetachReq) GetEnclaveid() string {
	if m != nil {
		return m.Enclaveid
	}
	return ""
}

func (m *ClientDetachReq) GetPublickey() string {
	if m != nil {
		return m.Publickey
	}
	return ""
}

func (m *ClientDetachReq) GetEnclaveaddress() string {
	if m != nil {
		return m.Enclaveaddress
	}
	return ""
}

type ClientDetachResp struct {
	Success              bool     `protobuf:"varint,1,opt,name=success,proto3" json:"success,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ClientDetachResp) Reset()         { *m = ClientDetachResp{} }
func (m *ClientDetachResp) String() string { return proto.CompactTextString(m) }
func (*ClientDetachResp) ProtoMessage()    {}
func (*ClientDetachResp) Descriptor() ([]byte, []int) {
	return fileDescriptor_8ed85ef5334a6dcb, []int{3}
}

func (m *ClientDetachResp) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ClientDetachResp.Unmarshal(m, b)
}
func (m *ClientDetachResp) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ClientDetachResp.Marshal(b, m, deterministic)
}
func (m *ClientDetachResp) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ClientDetachResp.Merge(m, src)
}
func (m *ClientDetachResp) XXX_Size() int {
	return xxx_messageInfo_ClientDetachResp.Size(m)
}
func (m *ClientDetachResp) XXX_DiscardUnknown() {
	xxx_messageInfo_ClientDetachResp.DiscardUnknown(m)
}

var xxx_messageInfo_ClientDetachResp proto.InternalMessageInfo

func (m *ClientDetachResp) GetSuccess() bool {
	if m != nil {
		return m.Success
	}
	return false
}

// A client is requesting that wgdcoord ask the wgd on the container's host to create
// a wireguard interface on it's behalf. THe interface is created and attached
// to the enclave specifed by enclaveid.
// GTL TODO: make this less specfic, the wgd shouold not need to know about containernames.
type ClientContainerCreateReq struct {
	Enclaveid            string   `protobuf:"bytes,1,opt,name=enclaveid,proto3" json:"enclaveid,omitempty"`
	Containername        string   `protobuf:"bytes,2,opt,name=containername,proto3" json:"containername,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ClientContainerCreateReq) Reset()         { *m = ClientContainerCreateReq{} }
func (m *ClientContainerCreateReq) String() string { return proto.CompactTextString(m) }
func (*ClientContainerCreateReq) ProtoMessage()    {}
func (*ClientContainerCreateReq) Descriptor() ([]byte, []int) {
	return fileDescriptor_8ed85ef5334a6dcb, []int{4}
}

func (m *ClientContainerCreateReq) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ClientContainerCreateReq.Unmarshal(m, b)
}
func (m *ClientContainerCreateReq) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ClientContainerCreateReq.Marshal(b, m, deterministic)
}
func (m *ClientContainerCreateReq) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ClientContainerCreateReq.Merge(m, src)
}
func (m *ClientContainerCreateReq) XXX_Size() int {
	return xxx_messageInfo_ClientContainerCreateReq.Size(m)
}
func (m *ClientContainerCreateReq) XXX_DiscardUnknown() {
	xxx_messageInfo_ClientContainerCreateReq.DiscardUnknown(m)
}

var xxx_messageInfo_ClientContainerCreateReq proto.InternalMessageInfo

func (m *ClientContainerCreateReq) GetEnclaveid() string {
	if m != nil {
		return m.Enclaveid
	}
	return ""
}

func (m *ClientContainerCreateReq) GetContainername() string {
	if m != nil {
		return m.Containername
	}
	return ""
}

// When a wgif is created for a container, it gets the public key back so it can then
// connect to an enclave with that key.
type ClientContainerCreateResp struct {
	Enclaveid            string   `protobuf:"bytes,1,opt,name=enclaveid,proto3" json:"enclaveid,omitempty"`
	Success              bool     `protobuf:"varint,2,opt,name=success,proto3" json:"success,omitempty"`
	Enclaveaddress       string   `protobuf:"bytes,3,opt,name=enclaveaddress,proto3" json:"enclaveaddress,omitempty"`
	Publickey            string   `protobuf:"bytes,4,opt,name=publickey,proto3" json:"publickey,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ClientContainerCreateResp) Reset()         { *m = ClientContainerCreateResp{} }
func (m *ClientContainerCreateResp) String() string { return proto.CompactTextString(m) }
func (*ClientContainerCreateResp) ProtoMessage()    {}
func (*ClientContainerCreateResp) Descriptor() ([]byte, []int) {
	return fileDescriptor_8ed85ef5334a6dcb, []int{5}
}

func (m *ClientContainerCreateResp) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ClientContainerCreateResp.Unmarshal(m, b)
}
func (m *ClientContainerCreateResp) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ClientContainerCreateResp.Marshal(b, m, deterministic)
}
func (m *ClientContainerCreateResp) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ClientContainerCreateResp.Merge(m, src)
}
func (m *ClientContainerCreateResp) XXX_Size() int {
	return xxx_messageInfo_ClientContainerCreateResp.Size(m)
}
func (m *ClientContainerCreateResp) XXX_DiscardUnknown() {
	xxx_messageInfo_ClientContainerCreateResp.DiscardUnknown(m)
}

var xxx_messageInfo_ClientContainerCreateResp proto.InternalMessageInfo

func (m *ClientContainerCreateResp) GetEnclaveid() string {
	if m != nil {
		return m.Enclaveid
	}
	return ""
}

func (m *ClientContainerCreateResp) GetSuccess() bool {
	if m != nil {
		return m.Success
	}
	return false
}

func (m *ClientContainerCreateResp) GetEnclaveaddress() string {
	if m != nil {
		return m.Enclaveaddress
	}
	return ""
}

func (m *ClientContainerCreateResp) GetPublickey() string {
	if m != nil {
		return m.Publickey
	}
	return ""
}

type ClientContainerDeleteReq struct {
	Enclaveid            string   `protobuf:"bytes,1,opt,name=enclaveid,proto3" json:"enclaveid,omitempty"`
	Containername        string   `protobuf:"bytes,2,opt,name=containername,proto3" json:"containername,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ClientContainerDeleteReq) Reset()         { *m = ClientContainerDeleteReq{} }
func (m *ClientContainerDeleteReq) String() string { return proto.CompactTextString(m) }
func (*ClientContainerDeleteReq) ProtoMessage()    {}
func (*ClientContainerDeleteReq) Descriptor() ([]byte, []int) {
	return fileDescriptor_8ed85ef5334a6dcb, []int{6}
}

func (m *ClientContainerDeleteReq) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ClientContainerDeleteReq.Unmarshal(m, b)
}
func (m *ClientContainerDeleteReq) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ClientContainerDeleteReq.Marshal(b, m, deterministic)
}
func (m *ClientContainerDeleteReq) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ClientContainerDeleteReq.Merge(m, src)
}
func (m *ClientContainerDeleteReq) XXX_Size() int {
	return xxx_messageInfo_ClientContainerDeleteReq.Size(m)
}
func (m *ClientContainerDeleteReq) XXX_DiscardUnknown() {
	xxx_messageInfo_ClientContainerDeleteReq.DiscardUnknown(m)
}

var xxx_messageInfo_ClientContainerDeleteReq proto.InternalMessageInfo

func (m *ClientContainerDeleteReq) GetEnclaveid() string {
	if m != nil {
		return m.Enclaveid
	}
	return ""
}

func (m *ClientContainerDeleteReq) GetContainername() string {
	if m != nil {
		return m.Containername
	}
	return ""
}

// When a wgif is created for a container, it gets the public key back so it can then
// connect to an enclave with that key.
type ClientContainerDeleteResp struct {
	Enclaveid            string   `protobuf:"bytes,1,opt,name=enclaveid,proto3" json:"enclaveid,omitempty"`
	Success              bool     `protobuf:"varint,2,opt,name=success,proto3" json:"success,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ClientContainerDeleteResp) Reset()         { *m = ClientContainerDeleteResp{} }
func (m *ClientContainerDeleteResp) String() string { return proto.CompactTextString(m) }
func (*ClientContainerDeleteResp) ProtoMessage()    {}
func (*ClientContainerDeleteResp) Descriptor() ([]byte, []int) {
	return fileDescriptor_8ed85ef5334a6dcb, []int{7}
}

func (m *ClientContainerDeleteResp) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ClientContainerDeleteResp.Unmarshal(m, b)
}
func (m *ClientContainerDeleteResp) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ClientContainerDeleteResp.Marshal(b, m, deterministic)
}
func (m *ClientContainerDeleteResp) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ClientContainerDeleteResp.Merge(m, src)
}
func (m *ClientContainerDeleteResp) XXX_Size() int {
	return xxx_messageInfo_ClientContainerDeleteResp.Size(m)
}
func (m *ClientContainerDeleteResp) XXX_DiscardUnknown() {
	xxx_messageInfo_ClientContainerDeleteResp.DiscardUnknown(m)
}

var xxx_messageInfo_ClientContainerDeleteResp proto.InternalMessageInfo

func (m *ClientContainerDeleteResp) GetEnclaveid() string {
	if m != nil {
		return m.Enclaveid
	}
	return ""
}

func (m *ClientContainerDeleteResp) GetSuccess() bool {
	if m != nil {
		return m.Success
	}
	return false
}

type ClientContainerStatusReq struct {
	Containername        string   `protobuf:"bytes,1,opt,name=containername,proto3" json:"containername,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ClientContainerStatusReq) Reset()         { *m = ClientContainerStatusReq{} }
func (m *ClientContainerStatusReq) String() string { return proto.CompactTextString(m) }
func (*ClientContainerStatusReq) ProtoMessage()    {}
func (*ClientContainerStatusReq) Descriptor() ([]byte, []int) {
	return fileDescriptor_8ed85ef5334a6dcb, []int{8}
}

func (m *ClientContainerStatusReq) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ClientContainerStatusReq.Unmarshal(m, b)
}
func (m *ClientContainerStatusReq) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ClientContainerStatusReq.Marshal(b, m, deterministic)
}
func (m *ClientContainerStatusReq) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ClientContainerStatusReq.Merge(m, src)
}
func (m *ClientContainerStatusReq) XXX_Size() int {
	return xxx_messageInfo_ClientContainerStatusReq.Size(m)
}
func (m *ClientContainerStatusReq) XXX_DiscardUnknown() {
	xxx_messageInfo_ClientContainerStatusReq.DiscardUnknown(m)
}

var xxx_messageInfo_ClientContainerStatusReq proto.InternalMessageInfo

func (m *ClientContainerStatusReq) GetContainername() string {
	if m != nil {
		return m.Containername
	}
	return ""
}

type ClientContainerStatusResp struct {
	Attached             bool     `protobuf:"varint,1,opt,name=attached,proto3" json:"attached,omitempty"`
	Enclaveid            string   `protobuf:"bytes,2,opt,name=enclaveid,proto3" json:"enclaveid,omitempty"`
	Wgstatus             string   `protobuf:"bytes,3,opt,name=wgstatus,proto3" json:"wgstatus,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ClientContainerStatusResp) Reset()         { *m = ClientContainerStatusResp{} }
func (m *ClientContainerStatusResp) String() string { return proto.CompactTextString(m) }
func (*ClientContainerStatusResp) ProtoMessage()    {}
func (*ClientContainerStatusResp) Descriptor() ([]byte, []int) {
	return fileDescriptor_8ed85ef5334a6dcb, []int{9}
}

func (m *ClientContainerStatusResp) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ClientContainerStatusResp.Unmarshal(m, b)
}
func (m *ClientContainerStatusResp) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ClientContainerStatusResp.Marshal(b, m, deterministic)
}
func (m *ClientContainerStatusResp) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ClientContainerStatusResp.Merge(m, src)
}
func (m *ClientContainerStatusResp) XXX_Size() int {
	return xxx_messageInfo_ClientContainerStatusResp.Size(m)
}
func (m *ClientContainerStatusResp) XXX_DiscardUnknown() {
	xxx_messageInfo_ClientContainerStatusResp.DiscardUnknown(m)
}

var xxx_messageInfo_ClientContainerStatusResp proto.InternalMessageInfo

func (m *ClientContainerStatusResp) GetAttached() bool {
	if m != nil {
		return m.Attached
	}
	return false
}

func (m *ClientContainerStatusResp) GetEnclaveid() string {
	if m != nil {
		return m.Enclaveid
	}
	return ""
}

func (m *ClientContainerStatusResp) GetWgstatus() string {
	if m != nil {
		return m.Wgstatus
	}
	return ""
}

type CreateEnclaveReq struct {
	Enclaveid            string   `protobuf:"bytes,1,opt,name=enclaveid,proto3" json:"enclaveid,omitempty"`
	Allowedips           string   `protobuf:"bytes,2,opt,name=allowedips,proto3" json:"allowedips,omitempty"`
	Gatewayendpoint      string   `protobuf:"bytes,3,opt,name=gatewayendpoint,proto3" json:"gatewayendpoint,omitempty"`
	Gatewaycert          string   `protobuf:"bytes,4,opt,name=gatewaycert,proto3" json:"gatewaycert,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *CreateEnclaveReq) Reset()         { *m = CreateEnclaveReq{} }
func (m *CreateEnclaveReq) String() string { return proto.CompactTextString(m) }
func (*CreateEnclaveReq) ProtoMessage()    {}
func (*CreateEnclaveReq) Descriptor() ([]byte, []int) {
	return fileDescriptor_8ed85ef5334a6dcb, []int{10}
}

func (m *CreateEnclaveReq) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CreateEnclaveReq.Unmarshal(m, b)
}
func (m *CreateEnclaveReq) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CreateEnclaveReq.Marshal(b, m, deterministic)
}
func (m *CreateEnclaveReq) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CreateEnclaveReq.Merge(m, src)
}
func (m *CreateEnclaveReq) XXX_Size() int {
	return xxx_messageInfo_CreateEnclaveReq.Size(m)
}
func (m *CreateEnclaveReq) XXX_DiscardUnknown() {
	xxx_messageInfo_CreateEnclaveReq.DiscardUnknown(m)
}

var xxx_messageInfo_CreateEnclaveReq proto.InternalMessageInfo

func (m *CreateEnclaveReq) GetEnclaveid() string {
	if m != nil {
		return m.Enclaveid
	}
	return ""
}

func (m *CreateEnclaveReq) GetAllowedips() string {
	if m != nil {
		return m.Allowedips
	}
	return ""
}

func (m *CreateEnclaveReq) GetGatewayendpoint() string {
	if m != nil {
		return m.Gatewayendpoint
	}
	return ""
}

func (m *CreateEnclaveReq) GetGatewaycert() string {
	if m != nil {
		return m.Gatewaycert
	}
	return ""
}

type CreateEnclaveResp struct {
	Enclaveid            string   `protobuf:"bytes,1,opt,name=enclaveid,proto3" json:"enclaveid,omitempty"`
	Success              bool     `protobuf:"varint,2,opt,name=success,proto3" json:"success,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *CreateEnclaveResp) Reset()         { *m = CreateEnclaveResp{} }
func (m *CreateEnclaveResp) String() string { return proto.CompactTextString(m) }
func (*CreateEnclaveResp) ProtoMessage()    {}
func (*CreateEnclaveResp) Descriptor() ([]byte, []int) {
	return fileDescriptor_8ed85ef5334a6dcb, []int{11}
}

func (m *CreateEnclaveResp) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CreateEnclaveResp.Unmarshal(m, b)
}
func (m *CreateEnclaveResp) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CreateEnclaveResp.Marshal(b, m, deterministic)
}
func (m *CreateEnclaveResp) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CreateEnclaveResp.Merge(m, src)
}
func (m *CreateEnclaveResp) XXX_Size() int {
	return xxx_messageInfo_CreateEnclaveResp.Size(m)
}
func (m *CreateEnclaveResp) XXX_DiscardUnknown() {
	xxx_messageInfo_CreateEnclaveResp.DiscardUnknown(m)
}

var xxx_messageInfo_CreateEnclaveResp proto.InternalMessageInfo

func (m *CreateEnclaveResp) GetEnclaveid() string {
	if m != nil {
		return m.Enclaveid
	}
	return ""
}

func (m *CreateEnclaveResp) GetSuccess() bool {
	if m != nil {
		return m.Success
	}
	return false
}

type DeleteEnclaveReq struct {
	Enclaveid            string   `protobuf:"bytes,1,opt,name=enclaveid,proto3" json:"enclaveid,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *DeleteEnclaveReq) Reset()         { *m = DeleteEnclaveReq{} }
func (m *DeleteEnclaveReq) String() string { return proto.CompactTextString(m) }
func (*DeleteEnclaveReq) ProtoMessage()    {}
func (*DeleteEnclaveReq) Descriptor() ([]byte, []int) {
	return fileDescriptor_8ed85ef5334a6dcb, []int{12}
}

func (m *DeleteEnclaveReq) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DeleteEnclaveReq.Unmarshal(m, b)
}
func (m *DeleteEnclaveReq) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DeleteEnclaveReq.Marshal(b, m, deterministic)
}
func (m *DeleteEnclaveReq) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DeleteEnclaveReq.Merge(m, src)
}
func (m *DeleteEnclaveReq) XXX_Size() int {
	return xxx_messageInfo_DeleteEnclaveReq.Size(m)
}
func (m *DeleteEnclaveReq) XXX_DiscardUnknown() {
	xxx_messageInfo_DeleteEnclaveReq.DiscardUnknown(m)
}

var xxx_messageInfo_DeleteEnclaveReq proto.InternalMessageInfo

func (m *DeleteEnclaveReq) GetEnclaveid() string {
	if m != nil {
		return m.Enclaveid
	}
	return ""
}

type DeleteEnclaveResp struct {
	Enclaveid            string   `protobuf:"bytes,1,opt,name=enclaveid,proto3" json:"enclaveid,omitempty"`
	Success              bool     `protobuf:"varint,2,opt,name=success,proto3" json:"success,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *DeleteEnclaveResp) Reset()         { *m = DeleteEnclaveResp{} }
func (m *DeleteEnclaveResp) String() string { return proto.CompactTextString(m) }
func (*DeleteEnclaveResp) ProtoMessage()    {}
func (*DeleteEnclaveResp) Descriptor() ([]byte, []int) {
	return fileDescriptor_8ed85ef5334a6dcb, []int{13}
}

func (m *DeleteEnclaveResp) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DeleteEnclaveResp.Unmarshal(m, b)
}
func (m *DeleteEnclaveResp) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DeleteEnclaveResp.Marshal(b, m, deterministic)
}
func (m *DeleteEnclaveResp) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DeleteEnclaveResp.Merge(m, src)
}
func (m *DeleteEnclaveResp) XXX_Size() int {
	return xxx_messageInfo_DeleteEnclaveResp.Size(m)
}
func (m *DeleteEnclaveResp) XXX_DiscardUnknown() {
	xxx_messageInfo_DeleteEnclaveResp.DiscardUnknown(m)
}

var xxx_messageInfo_DeleteEnclaveResp proto.InternalMessageInfo

func (m *DeleteEnclaveResp) GetEnclaveid() string {
	if m != nil {
		return m.Enclaveid
	}
	return ""
}

func (m *DeleteEnclaveResp) GetSuccess() bool {
	if m != nil {
		return m.Success
	}
	return false
}

func init() {
	proto.RegisterType((*ClientAttachReq)(nil), "wgdcoord.ClientAttachReq")
	proto.RegisterType((*ClientAttachResp)(nil), "wgdcoord.ClientAttachResp")
	proto.RegisterType((*ClientDetachReq)(nil), "wgdcoord.ClientDetachReq")
	proto.RegisterType((*ClientDetachResp)(nil), "wgdcoord.ClientDetachResp")
	proto.RegisterType((*ClientContainerCreateReq)(nil), "wgdcoord.ClientContainerCreateReq")
	proto.RegisterType((*ClientContainerCreateResp)(nil), "wgdcoord.ClientContainerCreateResp")
	proto.RegisterType((*ClientContainerDeleteReq)(nil), "wgdcoord.ClientContainerDeleteReq")
	proto.RegisterType((*ClientContainerDeleteResp)(nil), "wgdcoord.ClientContainerDeleteResp")
	proto.RegisterType((*ClientContainerStatusReq)(nil), "wgdcoord.ClientContainerStatusReq")
	proto.RegisterType((*ClientContainerStatusResp)(nil), "wgdcoord.ClientContainerStatusResp")
	proto.RegisterType((*CreateEnclaveReq)(nil), "wgdcoord.CreateEnclaveReq")
	proto.RegisterType((*CreateEnclaveResp)(nil), "wgdcoord.CreateEnclaveResp")
	proto.RegisterType((*DeleteEnclaveReq)(nil), "wgdcoord.DeleteEnclaveReq")
	proto.RegisterType((*DeleteEnclaveResp)(nil), "wgdcoord.DeleteEnclaveResp")
}

func init() { proto.RegisterFile("api/wgdcoord/spec.proto", fileDescriptor_8ed85ef5334a6dcb) }

var fileDescriptor_8ed85ef5334a6dcb = []byte{
	// 532 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xac, 0x55, 0x5d, 0x6e, 0xd4, 0x30,
	0x10, 0x56, 0xb6, 0x0b, 0x6c, 0x07, 0x4a, 0x8b, 0x25, 0x44, 0x1a, 0x10, 0xaa, 0x0c, 0x42, 0x7d,
	0x40, 0x5b, 0x04, 0x17, 0x00, 0x6d, 0x2b, 0x21, 0x21, 0x5e, 0xb6, 0xef, 0x08, 0x37, 0x19, 0x2d,
	0x11, 0x21, 0x71, 0x63, 0x2f, 0xab, 0x1e, 0x05, 0x89, 0x73, 0x70, 0x10, 0x4e, 0x84, 0x9c, 0xd8,
	0x59, 0xff, 0x64, 0x37, 0x55, 0xe9, 0xa3, 0xc7, 0x9e, 0xef, 0xfb, 0x66, 0x26, 0xf3, 0x05, 0x9e,
	0x30, 0x9e, 0x9f, 0xac, 0x16, 0x59, 0x5a, 0x55, 0x75, 0x76, 0x22, 0x38, 0xa6, 0x53, 0x5e, 0x57,
	0xb2, 0x22, 0x13, 0x13, 0xa4, 0x9f, 0x61, 0x7f, 0x56, 0xe4, 0x58, 0xca, 0x0f, 0x52, 0xb2, 0xf4,
	0xdb, 0x1c, 0x2f, 0xc9, 0x33, 0xd8, 0xc5, 0x32, 0x2d, 0xd8, 0x4f, 0xcc, 0xb3, 0x38, 0x3a, 0x8a,
	0x8e, 0x77, 0xe7, 0xeb, 0x80, 0xba, 0xe5, 0xcb, 0x8b, 0x22, 0x4f, 0xbf, 0xe3, 0x55, 0x3c, 0x6a,
	0x6f, 0xbb, 0x00, 0xfd, 0x13, 0xc1, 0x81, 0x8b, 0x27, 0xf8, 0x00, 0xe0, 0x2b, 0x78, 0xa8, 0x0f,
	0x2c, 0xcb, 0x6a, 0x14, 0x42, 0xa3, 0x7a, 0x51, 0xf2, 0x1c, 0x60, 0xc1, 0x24, 0xae, 0xd8, 0x95,
	0x62, 0xde, 0x69, 0xde, 0x58, 0x11, 0xc5, 0xa2, 0x4f, 0xc8, 0xe3, 0x71, 0xcb, 0xd2, 0x05, 0x54,
	0x36, 0x2b, 0x8a, 0x6a, 0x85, 0x59, 0xce, 0x45, 0x7c, 0xa7, 0xcd, 0x5e, 0x47, 0xe8, 0xd2, 0xf4,
	0xe1, 0x14, 0x6f, 0xa1, 0x0f, 0x3d, 0x45, 0xed, 0xf4, 0x15, 0x45, 0x5f, 0x9b, 0x76, 0x19, 0x5a,
	0xc1, 0x49, 0x0c, 0xf7, 0xc4, 0x32, 0x4d, 0x55, 0x92, 0x62, 0x9d, 0xcc, 0xcd, 0x91, 0x7e, 0x81,
	0xb8, 0x7d, 0x3d, 0xab, 0x4a, 0xc9, 0xf2, 0x12, 0xeb, 0x59, 0x8d, 0x4c, 0xe2, 0xb0, 0xda, 0x97,
	0xb0, 0x97, 0x9a, 0x9c, 0x92, 0xfd, 0x40, 0xad, 0xd8, 0x0d, 0xd2, 0x5f, 0x11, 0x1c, 0x6e, 0x20,
	0x18, 0x1c, 0xa3, 0xa5, 0x7a, 0xe4, 0xa8, 0xbe, 0x6e, 0x2f, 0xdc, 0x8e, 0x8e, 0xfd, 0x2f, 0x2b,
	0xac, 0xfd, 0x14, 0x0b, 0xbc, 0xbd, 0xda, 0xcf, 0x83, 0xd2, 0x0d, 0xfe, 0xcd, 0x4b, 0xa7, 0xef,
	0x03, 0xd1, 0xe7, 0x92, 0xc9, 0xa5, 0x50, 0xa2, 0x03, 0x59, 0x51, 0x9f, 0xac, 0xcb, 0x40, 0x96,
	0x41, 0x10, 0x9c, 0x24, 0x30, 0x61, 0xcd, 0x9a, 0x61, 0xa6, 0x3f, 0x95, 0xee, 0xec, 0x4a, 0x1e,
	0xf9, 0x92, 0x13, 0x98, 0xac, 0x16, 0xa2, 0x41, 0xd2, 0xd3, 0xe8, 0xce, 0xf4, 0xb7, 0xda, 0xe1,
	0x66, 0xec, 0x67, 0xed, 0xfb, 0xe1, 0x16, 0xbb, 0xdb, 0x35, 0xf2, 0xb7, 0x8b, 0x1c, 0xc3, 0xbe,
	0x59, 0xc5, 0x32, 0xe3, 0x55, 0x5e, 0x4a, 0xcd, 0xea, 0x87, 0xc9, 0x11, 0xdc, 0xd7, 0xa1, 0x14,
	0x6b, 0xa9, 0x3f, 0x03, 0x3b, 0x44, 0x3f, 0xc1, 0x23, 0x4f, 0xdd, 0x7f, 0x0c, 0xe8, 0x0d, 0x1c,
	0xb4, 0x63, 0xbe, 0x6e, 0xa9, 0x8a, 0xde, 0xcb, 0xb8, 0x39, 0xfd, 0xdb, 0xbf, 0x63, 0xe8, 0xac,
	0x98, 0x7c, 0x84, 0x3d, 0xa7, 0x30, 0x92, 0x4c, 0xcd, 0xdd, 0xd4, 0x9f, 0x47, 0xf2, 0x74, 0xe3,
	0x9d, 0xe0, 0x0a, 0xc9, 0xd1, 0x68, 0x23, 0xf9, 0xe5, 0xda, 0x48, 0x61, 0x61, 0x67, 0xf0, 0xc0,
	0xb6, 0x73, 0x72, 0x68, 0xd1, 0xba, 0xbf, 0x8d, 0x24, 0xd9, 0x74, 0x65, 0xc3, 0xb4, 0x36, 0x17,
	0xc2, 0x74, 0xae, 0x1b, 0xc2, 0x58, 0xce, 0xf8, 0x15, 0x1e, 0xf7, 0xda, 0x13, 0xa1, 0x7e, 0x52,
	0x68, 0x90, 0xc9, 0x8b, 0xc1, 0x37, 0xbd, 0x0c, 0x6d, 0x4f, 0xb6, 0x30, 0x74, 0x36, 0xb4, 0x85,
	0xc1, 0xb2, 0x92, 0x90, 0xa1, 0x5d, 0xe8, 0x2d, 0x0c, 0x9d, 0x67, 0x6c, 0x61, 0x58, 0xbb, 0xc2,
	0xc5, 0xdd, 0xe6, 0x1f, 0xff, 0xee, 0x5f, 0x00, 0x00, 0x00, 0xff, 0xff, 0x24, 0x8f, 0xe2, 0x2b,
	0xfe, 0x07, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// WgdcoordClient is the client API for Wgdcoord service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type WgdcoordClient interface {
	CreateEnclave(ctx context.Context, in *CreateEnclaveReq, opts ...grpc.CallOption) (*CreateEnclaveResp, error)
	DeleteEnclave(ctx context.Context, in *DeleteEnclaveReq, opts ...grpc.CallOption) (*DeleteEnclaveResp, error)
	ClientAttach(ctx context.Context, in *ClientAttachReq, opts ...grpc.CallOption) (*ClientAttachResp, error)
	ClientDetach(ctx context.Context, in *ClientDetachReq, opts ...grpc.CallOption) (*ClientDetachResp, error)
	ClientContainerCreate(ctx context.Context, in *ClientContainerCreateReq, opts ...grpc.CallOption) (*ClientContainerCreateResp, error)
	ClientContainerDelete(ctx context.Context, in *ClientContainerDeleteReq, opts ...grpc.CallOption) (*ClientContainerDeleteResp, error)
	ClientContainerStatus(ctx context.Context, in *ClientContainerStatusReq, opts ...grpc.CallOption) (*ClientContainerStatusResp, error)
}

type wgdcoordClient struct {
	cc *grpc.ClientConn
}

func NewWgdcoordClient(cc *grpc.ClientConn) WgdcoordClient {
	return &wgdcoordClient{cc}
}

func (c *wgdcoordClient) CreateEnclave(ctx context.Context, in *CreateEnclaveReq, opts ...grpc.CallOption) (*CreateEnclaveResp, error) {
	out := new(CreateEnclaveResp)
	err := c.cc.Invoke(ctx, "/wgdcoord.wgdcoord/CreateEnclave", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *wgdcoordClient) DeleteEnclave(ctx context.Context, in *DeleteEnclaveReq, opts ...grpc.CallOption) (*DeleteEnclaveResp, error) {
	out := new(DeleteEnclaveResp)
	err := c.cc.Invoke(ctx, "/wgdcoord.wgdcoord/DeleteEnclave", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *wgdcoordClient) ClientAttach(ctx context.Context, in *ClientAttachReq, opts ...grpc.CallOption) (*ClientAttachResp, error) {
	out := new(ClientAttachResp)
	err := c.cc.Invoke(ctx, "/wgdcoord.wgdcoord/ClientAttach", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *wgdcoordClient) ClientDetach(ctx context.Context, in *ClientDetachReq, opts ...grpc.CallOption) (*ClientDetachResp, error) {
	out := new(ClientDetachResp)
	err := c.cc.Invoke(ctx, "/wgdcoord.wgdcoord/ClientDetach", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *wgdcoordClient) ClientContainerCreate(ctx context.Context, in *ClientContainerCreateReq, opts ...grpc.CallOption) (*ClientContainerCreateResp, error) {
	out := new(ClientContainerCreateResp)
	err := c.cc.Invoke(ctx, "/wgdcoord.wgdcoord/ClientContainerCreate", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *wgdcoordClient) ClientContainerDelete(ctx context.Context, in *ClientContainerDeleteReq, opts ...grpc.CallOption) (*ClientContainerDeleteResp, error) {
	out := new(ClientContainerDeleteResp)
	err := c.cc.Invoke(ctx, "/wgdcoord.wgdcoord/ClientContainerDelete", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *wgdcoordClient) ClientContainerStatus(ctx context.Context, in *ClientContainerStatusReq, opts ...grpc.CallOption) (*ClientContainerStatusResp, error) {
	out := new(ClientContainerStatusResp)
	err := c.cc.Invoke(ctx, "/wgdcoord.wgdcoord/ClientContainerStatus", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// WgdcoordServer is the server API for Wgdcoord service.
type WgdcoordServer interface {
	CreateEnclave(context.Context, *CreateEnclaveReq) (*CreateEnclaveResp, error)
	DeleteEnclave(context.Context, *DeleteEnclaveReq) (*DeleteEnclaveResp, error)
	ClientAttach(context.Context, *ClientAttachReq) (*ClientAttachResp, error)
	ClientDetach(context.Context, *ClientDetachReq) (*ClientDetachResp, error)
	ClientContainerCreate(context.Context, *ClientContainerCreateReq) (*ClientContainerCreateResp, error)
	ClientContainerDelete(context.Context, *ClientContainerDeleteReq) (*ClientContainerDeleteResp, error)
	ClientContainerStatus(context.Context, *ClientContainerStatusReq) (*ClientContainerStatusResp, error)
}

// UnimplementedWgdcoordServer can be embedded to have forward compatible implementations.
type UnimplementedWgdcoordServer struct {
}

func (*UnimplementedWgdcoordServer) CreateEnclave(ctx context.Context, req *CreateEnclaveReq) (*CreateEnclaveResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateEnclave not implemented")
}
func (*UnimplementedWgdcoordServer) DeleteEnclave(ctx context.Context, req *DeleteEnclaveReq) (*DeleteEnclaveResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteEnclave not implemented")
}
func (*UnimplementedWgdcoordServer) ClientAttach(ctx context.Context, req *ClientAttachReq) (*ClientAttachResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ClientAttach not implemented")
}
func (*UnimplementedWgdcoordServer) ClientDetach(ctx context.Context, req *ClientDetachReq) (*ClientDetachResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ClientDetach not implemented")
}
func (*UnimplementedWgdcoordServer) ClientContainerCreate(ctx context.Context, req *ClientContainerCreateReq) (*ClientContainerCreateResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ClientContainerCreate not implemented")
}
func (*UnimplementedWgdcoordServer) ClientContainerDelete(ctx context.Context, req *ClientContainerDeleteReq) (*ClientContainerDeleteResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ClientContainerDelete not implemented")
}
func (*UnimplementedWgdcoordServer) ClientContainerStatus(ctx context.Context, req *ClientContainerStatusReq) (*ClientContainerStatusResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ClientContainerStatus not implemented")
}

func RegisterWgdcoordServer(s *grpc.Server, srv WgdcoordServer) {
	s.RegisterService(&_Wgdcoord_serviceDesc, srv)
}

func _Wgdcoord_CreateEnclave_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateEnclaveReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WgdcoordServer).CreateEnclave(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/wgdcoord.wgdcoord/CreateEnclave",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WgdcoordServer).CreateEnclave(ctx, req.(*CreateEnclaveReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _Wgdcoord_DeleteEnclave_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteEnclaveReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WgdcoordServer).DeleteEnclave(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/wgdcoord.wgdcoord/DeleteEnclave",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WgdcoordServer).DeleteEnclave(ctx, req.(*DeleteEnclaveReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _Wgdcoord_ClientAttach_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ClientAttachReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WgdcoordServer).ClientAttach(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/wgdcoord.wgdcoord/ClientAttach",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WgdcoordServer).ClientAttach(ctx, req.(*ClientAttachReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _Wgdcoord_ClientDetach_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ClientDetachReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WgdcoordServer).ClientDetach(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/wgdcoord.wgdcoord/ClientDetach",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WgdcoordServer).ClientDetach(ctx, req.(*ClientDetachReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _Wgdcoord_ClientContainerCreate_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ClientContainerCreateReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WgdcoordServer).ClientContainerCreate(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/wgdcoord.wgdcoord/ClientContainerCreate",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WgdcoordServer).ClientContainerCreate(ctx, req.(*ClientContainerCreateReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _Wgdcoord_ClientContainerDelete_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ClientContainerDeleteReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WgdcoordServer).ClientContainerDelete(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/wgdcoord.wgdcoord/ClientContainerDelete",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WgdcoordServer).ClientContainerDelete(ctx, req.(*ClientContainerDeleteReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _Wgdcoord_ClientContainerStatus_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ClientContainerStatusReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WgdcoordServer).ClientContainerStatus(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/wgdcoord.wgdcoord/ClientContainerStatus",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WgdcoordServer).ClientContainerStatus(ctx, req.(*ClientContainerStatusReq))
	}
	return interceptor(ctx, in, info, handler)
}

var _Wgdcoord_serviceDesc = grpc.ServiceDesc{
	ServiceName: "wgdcoord.wgdcoord",
	HandlerType: (*WgdcoordServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "CreateEnclave",
			Handler:    _Wgdcoord_CreateEnclave_Handler,
		},
		{
			MethodName: "DeleteEnclave",
			Handler:    _Wgdcoord_DeleteEnclave_Handler,
		},
		{
			MethodName: "ClientAttach",
			Handler:    _Wgdcoord_ClientAttach_Handler,
		},
		{
			MethodName: "ClientDetach",
			Handler:    _Wgdcoord_ClientDetach_Handler,
		},
		{
			MethodName: "ClientContainerCreate",
			Handler:    _Wgdcoord_ClientContainerCreate_Handler,
		},
		{
			MethodName: "ClientContainerDelete",
			Handler:    _Wgdcoord_ClientContainerDelete_Handler,
		},
		{
			MethodName: "ClientContainerStatus",
			Handler:    _Wgdcoord_ClientContainerStatus_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "api/wgdcoord/spec.proto",
}
